/// The persistence allows to restore a state.
abstract class Persistence<State> {
  /// Reads the state from storage.
  Future<State> read();

  /// Write the state to the storage.
  Future<void> write(State state);

  /// Clear the state from the storage.
  Future<void> clear();
}
